services:
    ppk.ppkaptcha.captcha.ppkaptcha:
        class: ppk\ppkaptcha\captcha\ppkaptcha
        calls:
            - [set_name, [ppk.ppkaptcha.captcha.ppkaptcha]]
        arguments:
            - '@config'
            - '@service_container'
            - '@dbal.conn'
            - '%core.root_path%'
            - '.%core.php_ext%'
            - '@request'
            - '@template'
            - '@user'
        tags:
            - { name: captcha.plugins }